var etage = 1;

var w = 600;
var h = 500;

var ctx;

var dx, dy, nb_carte=0;

function line(ctx,x1,y1,x2,y2) {
  ctx.beginPath();
  ctx.moveTo(x1,y1);
  ctx.lineTo(x2,y2);
  ctx.closePath();
  ctx.stroke();
}


function carte_d(x,y) {
    ctx.strokeStyle = "#444444";
    line(ctx,dx*(x+1),h-dy*(y+2),(x+2)*dx,h-dy*(y+1));
}

function carte_g(x,y) {
    ctx.strokeStyle = "black";
    line(ctx,dx*(x+2),h-dy*(y+2),(x+1)*dx,h-dy*(y+1));
}

function carte_t(x,y) {
    ctx.strokeStyle = "white";
    line(ctx,dx*(x+1),h-dy*(y+2),(x+3)*dx,h-dy*(y+2));
}


function update_canvas() {
    var canvas = document.getElementById("canvas");
    ctx = canvas.getContext("2d");

    document.getElementById("canvas").width = w;
    document.getElementById("canvas").height = h;

    etage = parseInt(document.getElementById("etage_id").value);

    dx = w/(2*etage+2);
    dy = h/(etage+2);

    ctx.clearRect(0, 0, w, h);

    ctx.strokeStyle = "black";
    ctx.strokeRect(0,0,w,h);

    ctx.lineWidth = 3;

    nb_carte = 0;

    if (etage < 300) {
        for (j=0; j < etage; j++) {
            for (i=0; i < etage-j; i++) {
                nb_carte += 2;
                carte_g(2*i+j,j);
                carte_d(2*i+1+j,j);
            }
            for (i=0; i < etage-j-1; i++) {
                nb_carte += 1;
                carte_t(2*i+1+j,j);
            }
        }
    }

    //    set_html("info", " tage"+ (etage > 1 ? "s":"") +" &nbsp; - &nbsp; "+nb_carte+" cartes" +
    //             " &nbsp; - &nbsp; 3 &times; "+ etage+" &times; "+etage+" &divide; 2 + "+
    //             etage+" &divide; 2 = "+etage*(3*etage+1)/2);

    set_html("info", " tage"+ (etage > 1 ? "s":"") +" &nbsp; - &nbsp; "+nb_carte+" cartes" +
             " &nbsp; - &nbsp; "+
             etage + " &times; (3 &times; "+ etage+" + 1) &divide; 2 = "+etage*(3*etage+1)/2);
}

function update_etage() {
    etage = parseInt(document.getElementById("etage_id").value);

    update_canvas();
}